Subject: Re: bug#41006: 26.3; regular expressions documentation

From: Richard Stallman <[email-masked]>
Date: Wed, 06 May 2020 22:42:38 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > * concatenation and alternative
  > * repetition: * + ? etc
  > * bracketing: \(?: ... \)
  > * single-character expressions: [...] '.' \cX etc
  > * zero-width assertions: ^ $ \< etc
  > * capture groups and backrefs

That list could be a starting point.  (What is a "capture group"?
I have no idea.)

However, I don't think alternatives are very useful without
brackets, so brackets should come before alternatives.

I think single-character expressions
should come before repetition, because the former are more basic
and conceptually simpler.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)